## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

Name:          gupnp-av
Version:       0.14.4
Release:       1%{?dist}
Summary:       A collection of helpers for building UPnP AV applications

# Automatically converted from old format: LGPLv2+ - review is highly recommended.
License:       LicenseRef-Callaway-LGPLv2+
URL:           http://www.gupnp.org/
Source0:       http://download.gnome.org/sources/gupnp-av/0.14/%{name}-%{version}.tar.xz

BuildRequires: gi-docgen
BuildRequires: gobject-introspection-devel
BuildRequires: gtk-doc
BuildRequires: meson
BuildRequires: vala
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libxml-2.0)

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-AV is a collection of helpers for building AV (audio/video)
applications using GUPnP.

%package devel
Summary: Development package for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package docs
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description docs
This package contains developer documentation for %{name}.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/libgupnp-av-1.0.so.3*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GUPnPAV-1.0.typelib
%{_datadir}/gupnp-av/

%files devel
%{_includedir}/gupnp-av-1.0/
%{_libdir}/pkgconfig/gupnp-av-1.0.pc
%{_libdir}/libgupnp-av-1.0.so
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GUPnPAV-1.0.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gupnp-av*

%files docs
%dir %{_datadir}/doc
%{_datadir}/doc/gupnp-av-1.0/

%changelog
## START: Generated by rpmautospec
* Wed Jul 09 2025 Milan Crha <mcrha@redhat.com> - 0.14.4-1
- Update to 0.14.4

* Thu Jan 23 2025 nmontero <nmontero@redhat.com> - 0.14.3-1
- Update to 0.14.3

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Sep 02 2024 Miroslav Suchý <msuchy@redhat.com> - 0.14.1-9
- convert license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 02 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 0.14.1-7
- Fix build with libxml2 2.12

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 David King <amigadave@amigadave.com> - 0.14.1-1
- Update to 0.14.1

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Sep 18 2021 Kalev Lember <klember@redhat.com> - 0.14.0-1
- Update to 0.14.0

* Fri Aug 20 2021 Kalev Lember <klember@redhat.com> - 0.13.1-4
- Fix various directory ownership issues

* Fri Aug 20 2021 Kalev Lember <klember@redhat.com> - 0.13.1-3
- Tighten soname globs

* Fri Aug 20 2021 Kalev Lember <klember@redhat.com> - 0.13.1-2
- Spec file cleanup

* Fri Aug 20 2021 Kalev Lember <klember@redhat.com> - 0.13.1-1
- Update to 0.13.1
- Switch to meson build system

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 19 2020 Tom Stellard <tstellar@redhat.com> - 0.12.11-5
- Add BuildRequires: make

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Feb 19 2019 Kalev Lember <klember@redhat.com> - 0.12.11-1
- Update to 0.12.11

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 22 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.12.10-8
- Remove obsolete ldconfig scriptlets

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.10-5
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Oct 16 2016 Kalev Lember <klember@redhat.com> - 0.12.10-2
- Don't manually add pkgconfig dep for -devel subpackage

* Sun Oct 16 2016 Kalev Lember <klember@redhat.com> - 0.12.10-1
- Update to 0.12.10

* Wed Oct 12 2016 Kalev Lember <klember@redhat.com> - 0.12.9-4
- Use make_install macro

* Wed Oct 12 2016 Kalev Lember <klember@redhat.com> - 0.12.9-3
- Tighten subpackage deps with the _isa macro

* Wed Oct 12 2016 Kalev Lember <klember@redhat.com> - 0.12.9-2
- Don't set group tags

* Wed Oct 12 2016 Kalev Lember <klember@redhat.com> - 0.12.9-1
- Update to 0.12.9

* Thu Sep 22 2016 Kalev Lember <klember@redhat.com> - 0.12.8-3
- BR vala instead of obsolete vala-tools subpackage

* Thu Feb 11 2016 Peter Robinson <pbrobinson@gmail.com> - 0.12.8-2
- upload new source

* Thu Feb 11 2016 Peter Robinson <pbrobinson@gmail.com> - 0.12.8-1
- 0.12.8, use license

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> - 0.12.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 0.12.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 06 2015 Peter Robinson <pbrobinson@gmail.com> - 0.12.7-1
- 0.12.7

* Wed Sep 10 2014 Peter Robinson <pbrobinson@gmail.com> - 0.12.6-6
- remove old patch

* Wed Sep 10 2014 Peter Robinson <pbrobinson@gmail.com> - 0.12.6-5
- Build vala bindings

* Sat Aug 16 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 0.12.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 0.12.6-3
- Rebuilt for gobject-introspection 1.41.4

* Fri Jul 11 2014 Peter Robinson <pbrobinson@gmail.com> - 0.12.6-2
- enable check

* Wed Jun 11 2014 Peter Robinson <pbrobinson@gmail.com> - 0.12.6-1
- 0.12.6

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 0.12.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 04 2014 Peter Robinson <pbrobinson@gmail.com> - 0.12.5-1
- 0.12.5

* Mon Nov 18 2013 Peter Robinson <pbrobinson@gmail.com> - 0.12.4-1
- 0.12.4

* Wed Oct 16 2013 Peter Robinson <pbrobinson@gmail.com> - 0.12.3-1
- 0.12.3

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 0.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 30 2013 Peter Robinson <pbrobinson@gmail.com> - 0.12.2-1
- 0.12.2

* Sun May 12 2013 Peter Robinson <pbrobinson@gmail.com> - 0.12.1-3
- Move xsd files to main rpm (RHBZ 962166)

* Tue Mar 19 2013 Peter Robinson <pbrobinson@gmail.com> - 0.12.1-2
- add source

* Tue Mar 19 2013 Peter Robinson <pbrobinson@gmail.com> - 0.12.1-1
- 0.12.1

* Thu Feb 21 2013 Peter Robinson <pbrobinson@gmail.com> - 0.12.0-1
- 0.12.0

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 0.11.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 14 2012 Peter Robinson <pbrobinson@gmail.com> - 0.11.6-1
- 0.11.6

* Thu Dec 06 2012 Peter Robinson <pbrobinson@gmail.com> - 0.11.5-1
- 0.11.5

* Sat Dec 01 2012 Peter Robinson <pbrobinson@gmail.com> - 0.11.4-1
- 0.11.4

* Mon Nov 19 2012 Peter Robinson <pbrobinson@gmail.com> - 0.11.3-1
- 0.11.3

* Mon Oct 29 2012 Peter Robinson <pbrobinson@gmail.com> - 0.11.2-2
- add new directory

* Mon Oct 29 2012 Peter Robinson <pbrobinson@gmail.com> - 0.11.2-1
- 0.11.2

* Sun Oct 07 2012 Peter Robinson <pbrobinson@gmail.com> - 0.11.0-1
- 0.11.0

* Sun Aug 19 2012 Peter Robinson <pbrobinson@gmail.com> - 0.10.3-1
- 0.10.3

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 21 2012 Peter Robinson <pbrobinson@gmail.com> - 0.10.2-1
- 0.10.2

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 0.10.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 05 2011 Zeeshan Ali (Khattak) <zeeshanak@gnome.org> - 0.10.1-3
- Release 0.10.1-2

* Mon Sep 05 2011 Zeeshan Ali (Khattak) <zeeshanak@gnome.org> - 0.10.1-2
- 0.10.0-2

* Mon Sep 05 2011 Peter Robinson <pbrobinson@gmail.com> - 0.10.1-1
- 0.10.1

* Fri Sep 02 2011 Zeeshan Ali (Khattak) <zeeshanak@gnome.org> - 0.10.0-1
- Release 0.10.0

* Thu Jun 16 2011 Peter Robinson <pbrobinson@gmail.com> - 0.9.1-1
- 0.9.1

* Thu Jun 16 2011 Peter Robinson <pbrobinson@gmail.com> - 0.9.0-1
- 0.9.0

* Sat Apr 09 2011 Peter Robinson <pbrobinson@gmail.com> - 0.8.0-1
- 0.8.0

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 02 2010 Peter Robinson <pbrobinson@gmail.com> - 0.7.1-1
- v0.7.1

* Mon Nov 08 2010 Peter Robinson <pbrobinson@gmail.com> - 0.7.0-1
- 0.7.0

* Wed Sep 29 2010 Peter Robinson <pbrobinson@gmail.com> - 0.6.1-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
